> For the complete documentation index, see [llms.txt](https://docs.digiledge.in/untitled/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digiledge.in/untitled/bbps/bbps-agent-integration/bbps-agent-api/complaint-status.md).

# Complaint Status

<mark style="color:blue;">**API for fetching latest status of the complaint from NPCI. The API can be invoked only if complaintType is npciComplaint.**</mark>

| Endpoint                                                                      |
| ----------------------------------------------------------------------------- |
| **Request:** *<mark style="color:blue;">**/couapp/complaints/status**</mark>* |

<mark style="color:blue;">**Request Parameters**</mark>

***The various parameters are explained below:***

| Parent Property/Element                                              | Property/Element Name | Mandatory | Data Type    | Description      |
| -------------------------------------------------------------------- | --------------------- | --------- | ------------ | ---------------- |
| <p><br></p><p>\[ROOT]</p><p>(No parent property</p><p>/ element)</p> | tenantId              | M         | Alphanumeric | Fixed Length – 4 |
|                                                                      | complaintId           | M         | UUID         | Complaint UUID   |

<mark style="color:blue;">**Response Parameters**</mark>

***The various parameters are explained below:***

| Parent Property/Element | Property/Element Name | Mandatory | Data Type | Description                                                        |
| ----------------------- | --------------------- | --------- | --------- | ------------------------------------------------------------------ |
| complaints              | complaintId           | M         | UUID      | Id for the complaint disposion                                     |
|                         | complaintDescr        | M         | String    | Complaint description                                              |
|                         | complaintDispos       | M         | String    | Complaint disposition                                              |
|                         | complaintType         | M         | String    | Type of the complaint                                              |
|                         | txnId                 | M         | String    | Transaction id for which the complaint is raised agains            |
|                         | complaintStatus       | M         | String    | Complaint Status from NPCI                                         |
|                         | assignedTo            | M         | String    | To Whom the complaint is assigned                                  |
|                         | complaintNpciId       | M         | String    | Npci id of the complaint                                           |
|                         | complaintRaisedFrom   | M         | String    | Who raised the complaint                                           |
|                         | userId                | M         | String    | User id of the one who raised the complaint                        |
|                         | status                | M         | String    | Status of the complaint                                            |
|                         | refId                 | M         | String    | Reference id                                                       |
|                         | estimated\_TAT        | M         | String    |                                                                    |
|                         | creationDate          | M         | String    | ISO 8601 Timestamp for the Complaint Creation date                 |
|                         | modifiedDate          | M         | String    | ISO 8601 Timestamp for the Complaint Modification date             |
|                         | billerName            | M         | String    | Biller Name                                                        |
|                         | txnAmount             | M         | String    | Txn Amount                                                         |
|                         | superLevelEsc         | M         | String    | Super Escalation (True/False)                                      |
|                         | openComplaint         | M         | String    | Flag indicating whether complaint is already open or not (Y/N)     |
|                         | reopenComplaint       | M         | String    | Flag indicating whether complaint is already reopened or not (Y/N) |
|                         | remarks               | M         | String    | Remarks                                                            |
|                         | agentId               | M         | String    | Agent ID                                                           |
|                         | category              | M         | String    | Category of the biller                                             |
|                         | createdEpochDate      | M         | Numeric   | UNIX Epoch Timestamp for the Complaint Creation date               |
|                         | modifiedEpochDate     | M         | Numeric   | UNIX Epoch Timestamp for the Complaint Modification date           |
| generalResp             | statusCode            | M         | Numeric   | 200- SUCCESS Other than 200-Failure                                |
|                         | status                | M         | String    | It is either “Success” or failure                                  |
|                         | message               | M         | String    | Contains the reason message for failure / success                  |

#### *<mark style="color:blue;">**Json Formatted Request Example**</mark>*

```json
{
"complaintId" : "2dfecc3c-9114-4094-9aa8-ff26f03a9bfd", 
"tenantId" : "FE41"
}
```

#### *<mark style="color:blue;">**Json Formatted Response Example**</mark>*

```json
{
"complaints": { "assignedTo": "XYZ Bank",
"complaintDescr": "Testing complaint",
"complaintDispos": "Transaction Successful, account not updated", 
"complaintId": "2dfecc3c-9114-4094-9aa8-ff26f03a9bfd", 
"complaintNpciId": "FE4123109489834",
"complaintRaisedFrom": "agent", 
"complaintType": "npciComplaint", 
"createdEpochDate": 1681905485, 
"creationDate": "2023-04-19T17:28:05.508679Z",
"modifiedDate": "2023-04-19T17:28:10.001432Z",
"modifiedEpochDate": 1681905490,
"refId": "mqcXfZs2XMkRKQfpIwoSYQDnIr231091728", 
"status": "COMPLAINT_OPEN_SUCCESS",
"tenantId": "FE41",
"txnId": "24fe190c-42c9-4cb5-9d36-965839b0cb5f", 
"txnNpciId": "FE4131090DAI26Y0mAxl",
"userId": "FE41FE42BNK519012345", 
"agentId": "FE41FE42BNK519012345"
},
"generalResp": {
"message": "Successfully requested complaint status", 
"remarks": "",
"status": "success", 
"statusCode": "200"
}
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.digiledge.in/untitled/bbps/bbps-agent-integration/bbps-agent-api/complaint-status.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
